Bug 1896601 - Web console going blank after selecting any operator to install from OperatorHub
Summary: Web console going blank after selecting any operator to install from OperatorHub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Samuel Padgett
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On: 1896600
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-11 02:45 UTC by OpenShift BugZilla Robot
Modified: 2020-12-15 20:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, an OperatorGroup with a missing `status` block in any namespace could cause a runtime error in the web console when installing a new operator from OperatorHub. The problem has been fixed.
Clone Of:
Environment:
Last Closed: 2020-12-15 20:28:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7178 0 None closed [release-4.5] Bug 1896601: Tolerate missing `status` on OperatorGroups 2020-12-11 17:51:26 UTC
Red Hat Product Errata RHSA-2020:5359 0 None None None 2020-12-15 20:29:12 UTC

Comment 3 Yadan Pei 2020-12-04 03:40:29 UTC
1. Create an OperatorGroup without `status` field using attachment from bz 1895372
2. admin user logins OCP web-console -> Operator Hub -> Select any operator (Click install) ->  no Blank white screen, Operator Installation page is successfully loaded 

Verified on 4.5.0-0.nightly-2020-12-03-141413

Comment 6 errata-xmlrpc 2020-12-15 20:28:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.5.23 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5359


Note You need to log in before you can comment on or make changes to this bug.